View Issue Details

IDProjectCategoryView StatusLast Update
0003680ScribusNLSpublic2016-12-08 21:41
Reporterjamadagni Assigned ToFahad  
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Platformi686OSSUSE Linux 10.0OS VersionScribus 1.331
Product Version1.3.3.1 
Target Version1.5.3Fixed in Version1.5.3.svn 
Summary0003680: Devanagari (Unicode U+09xx) glyph formation (vowels and conjunct consonants) not proper
DescriptionI will attach two PNG files which show the rendering of a text by OpenOffice 2.02 and Scribus 1.331 separately.

The first two glyphs in the OO rendering are "dharma" -- but while OO renders them correctly, you see that the upper hook (the vowelless "r" in "rm") is not rendered by Scribus, but instead the full "r" with a lower stroke (indicating vowellessness) is produced. This is what relates to conjunct consonants.1

The fourth line second word (refer the OO rendering for the correct output) illustrates another kind of problem. The upper arch with its lower straight-line support indicates the vowel "i". In OO it is rendered correctly before the consonant "h". But Scribus renders it *after* "h". It should be noted that Unicode specifications dictate that the *entry* of the vowel "i" should be after "h" but the *display* of the vowel should be *before* the consonant.

I wonder whether this is a problem with Qt 3 which can be solved by moving to Qt 4? (When is Scribus moving to Qt 4?)

This testing is on Windows XP SP2. On Linux, I find that Unicode Devanagari rendering is generally so bad that I decided not to test there or report those bugs here.

Perhaps issue 1726 on Hebrew vowels is related.
Tags#please_test, fixed, HOST-Oman, RTL, scribusctl
PatchNo

Relationships

related to 0001726 closedFahad hebrew vowels (and cantillation marks) not placed properly 
related to 0002920 closedFahad Khmer script is rendered wrong 
related to 0002834 closedFahad Urdu is displayed Left to Right with Nafees Nastaleeq font 
related to 0001079 closedFahad Arabic is not supported in Scribus yet. 
related to 0001364 closedFahad Hebrew script direction is different in the document and in the story editor 
related to 0003928 closedFahad Support line breaking for Thai text 
child of 0003965 acknowledged Metabug: Support for non-latin languages 

Activities

2006-04-20 16:50

 

scribus-bug.zip (60,085 bytes)

cbradney

2006-04-20 20:41

administrator   ~0010199

Scribus doesnt handle any glyph combination at all now. No fault of Qt3.

cbradney

2006-04-20 21:04

administrator   ~0010203

Oh, and this isnt really a bug either..

Kunda

2016-03-23 12:55

manager   ~0039358

According to HOST-Oman team, these issues are fixed in the new CTL branch!
See https://github.com/HOST-Oman/scribus/issues/75#issue-142809558
There will be a build provided soon to test this fix OR one can build their branch manually.

Issue History

Date Modified Username Field Change
2006-04-20 16:50 jamadagni New Issue
2006-04-20 16:50 jamadagni File Added: scribus-bug.zip
2006-04-20 16:58 mhanski Relationship added related to 0001726
2006-04-20 16:59 mhanski Relationship added related to 0002920
2006-04-20 16:59 mhanski Relationship added related to 0002834
2006-04-20 16:59 mhanski Relationship added related to 0001079
2006-04-20 17:00 mhanski Relationship added related to 0001364
2006-04-20 20:41 cbradney Note Added: 0010199
2006-04-20 20:43 mhanski Status new => confirmed
2006-04-20 21:04 cbradney Note Added: 0010203
2006-04-20 21:06 mhanski Severity major => feature
2006-07-02 21:51 mhanski Relationship added related to 0003928
2006-07-02 21:58 mhanski Relationship added child of 0003965
2007-01-04 08:48 cbradney Category General => NLS
2011-01-12 21:04 cbradney Assigned To => pierremarchand
2011-01-12 21:04 cbradney Status confirmed => assigned
2016-03-23 12:55 Kunda Tag Attached: #please_test
2016-03-23 12:55 Kunda Tag Attached: fixed
2016-03-23 12:55 Kunda Tag Attached: HOST-Oman
2016-03-23 12:55 Kunda Tag Attached: RTL
2016-03-23 12:55 Kunda Note Added: 0039358
2016-03-23 12:56 Kunda Patch => No
2016-03-23 12:56 Kunda Assigned To pierremarchand =>
2016-03-23 12:56 Kunda Status assigned => confirmed
2016-11-17 11:55 Kunda Tag Attached: scribusctl
2016-12-03 22:19 cbradney Assigned To => Fahad
2016-12-03 22:19 cbradney Status confirmed => resolved
2016-12-03 22:19 cbradney Resolution open => fixed
2016-12-03 22:19 cbradney Fixed in Version => 1.5.3.svn
2016-12-05 20:21 cbradney Status resolved => closed
2016-12-08 21:41 cbradney Target Version => 1.5.3